from collective import dexteritytextindexer
from zope.component import adapts
from zope.interface import implementer

from sunpower.poi.content.sunpowerissue import ISunPowerIssue


@implementer(dexteritytextindexer.IDynamicTextIndexExtender)
class SearchableTextExtender(object):
    adapts(ISunPowerIssue)

    def __init__(self, context):
        self.context = context

    def __call__(self):
        pas_member = self.context.restrictedTraverse('@@pas_member')
        user_id = self.context.assignee
        return pas_member.info(user_id)['name_or_id']
